@import "breakpoints";

.theme-wrapper {
  background-color: var(--ion-card-background);
  border-radius: 10px;
  padding: 0;

  .theme-card {
    .theme-header {
      position: relative;
      font-size: 18px;
      font-weight: 600;
      padding: 0 0 0 10px;

      .header-title {
        display: inline-block;
        padding: 7px 25px 0 0;
        vertical-align: top;
      }

      .close-button-wrapper {
        position: absolute;
        top: 0;
        right: 0;
      }
    }

    .theme-content {
      padding: 0;
      overflow-x: auto;

      .data-group {
        padding: 0 0;
        --inner-padding-top: 0;
        --inner-padding-bottom: 0;
        --padding-top: 0;
        --padding-bottom: 0;

        .item-label {
          min-width: 250px;
        }

        .item-content {
          text-align: right;
        }

        .label-item {
          --padding-start: 10px;
          --padding-end: 0;
          --inner-padding-top: 0;
          --inner-padding-bottom: 0;
          --padding-top: 0;
          --padding-bottom: 0;
        }

        .input-item {
          min-width: 250px;
          --inner-padding-start: 0;
          --inner-padding-end: 0;
          --inner-padding-top: 0;
          --inner-padding-bottom: 0;
          --padding-start: 0;
          --padding-end: 0;
          --padding-top: 0;
          --padding-bottom: 0;

          .input-slider {
            --bar-background: var(--bg-backdrop);
            --bar-background-active: var(--fg-headline);
            --knob-background: var(--fg-headline);
            --pin-background: var(--fg-headline);
            --pin-color: var(--fg-headline);
          }

          .error-note {
            position: absolute;
            right: 15px;
            bottom: 0;
            font-size: 10px;
            --color: var(--ion-color-danger-shade);
          }
        }
      }
    }
  }
}

@media (max-width: map-get($grid-breakpoints, "xxxl")) {
}
@media (max-width: map-get($grid-breakpoints, "xl")) {
}
@media (max-width: map-get($grid-breakpoints, "lg")) {
}
@media (max-width: map-get($grid-breakpoints, "md")) {
}
@media (max-width: map-get($grid-breakpoints, "sm")) {
}
@media (max-width: map-get($grid-breakpoints, "is")) {
}
@media (max-width: map-get($grid-breakpoints, "xs")) {
}
